#include <stdio.h>
#include <math.h>


int sudar(int prvi, int drugi)
{
	/// 1389 = 1 * 1000 + 3 * 100 + 8 * 10 + 9 * 1 
	
	int zbir = 0; 
	double brojac_tezine = 0; 
	while(prvi != 0 || drugi != 0)
	{
		int poslednja_prvi = prvi % 10;
		int poslendja_drugi = drugi % 10;
		prvi = prvi / 10;
		drugi = drugi / 10;
		
//		printf("Poslednja prvi: %d\n", poslednja_prvi);
//		printf("Poslednja drugi: %d\n", poslendja_drugi);
//		printf("Tezina pozicije:%f\n", pow(10,brojac_tezine));
		
		
		
		int veca_cifra;
		if(poslednja_prvi ==  poslendja_drugi && prvi != 0 && drugi != 0)
		{
			int vrednost_pozicije = pow(10,brojac_tezine) * poslednja_prvi;
	//		printf("Vrednost pozicije: %d\n", vrednost_pozicije); 
			zbir = zbir + vrednost_pozicije;
			brojac_tezine++;
			vrednost_pozicije = pow(10,brojac_tezine) * poslednja_prvi;
	//		printf("Vrednost pozicije: %d\n", vrednost_pozicije); 
			zbir = zbir + vrednost_pozicije;
			brojac_tezine++;
			continue;
		}
		if(poslednja_prvi > poslendja_drugi) veca_cifra = poslednja_prvi;
		else veca_cifra = poslendja_drugi;
		
//		printf("Veca cifra: %d\n", veca_cifra); 
		int vrednost_pozicije = pow(10,brojac_tezine) * veca_cifra;
//		printf("Vrednost pozicije: %d\n", vrednost_pozicije); 
		zbir = zbir + vrednost_pozicije;
//		printf("\n");
		brojac_tezine++;
	}
	//printf("Zbir: %d\n",zbir); 
	return zbir;
}

int main()
{
	// sudar 
	
	int prvi,drugi;
	scanf("%d%d",&prvi,&drugi); 
	printf("%d", sudar(prvi,drugi));
	
}